Welcome

Version 3.94-1

xp-AntiSpy is a neat little utility to automatically apply different settings to the operating system, which could also be done by hand, but at a higher expense of time.

The following topics are available:

· System Requirements

· Overview

· Profiles

· Signs and Symbols

· Set Time Server

· Connection Limit

xp-AntiSpy is Freeware and may be used for private and commercial purposes. But the program itself may never be sold by or to anyone. The free distribution of xp-AntiSpy, however, is permitted and welcome.

For more info on distribution, please contact the Author of this software.

Thanks!

©2004-2005 Christian Taubenheim
Distribution of this text, even in extracts, needs permission of the Author


System Requirements

xp-AntiSpy runs on the following operating systems:

· Microsoft® Windows XP Home/Professional

· Microsoft® Windows 2000 Professional

In which case the Service Pack used doesn't matter…

In general, xp-AntiSpy will run on all Microsoft® Windows operating systems, because settings that do not exist, won't be shown.

Yet I have only been able to test xp-AntiSpy on the operating systems mentioned above.


Overview

Title bar:

The title and version of the program are displayed. Additionally, the operating system and its state (Service Pack) will be shown.

Menu bar:

· Profiles

Profiles in xp-AntiSpy are somewhat like templates for the available settings. If a profile is chosen, the settings will be modified on pressing the Apply Settings button. A dot (●) in front of a profile entry, shows you that it's active.

Read more about profiles in Profiles

· Special

This menu is about additional functions.

· Refresh

All available settings will get their state refreshed.

· Set Time Server

You can specify the time server, where Windows gets its internet time from. See: Set Time Server

· Connection Limit

Opens up the Connection Limit dialog.

Settings view:

In this view, all available settings are displayed. For clarity reasons they are grouped into categories. A click on the categories beam collapses or expands the settings contained.

Every setting displayed can have a certain state which will be described in Signs and Symbols .

Window splitter:

The window splitter serves as a dynamic divide between the settings view and the help view. If you move the mouse over it, you can drag the slider by holding the left mouse button down. Is this way you can re-arrange the size of the two views.

Help view:

In this view you'll find some information about the setting highlighted in the settings view.


Signs and Symbols

In the settings view (see Overview ), icons to the left side of each setting will display the state of the setting. This state can be the actual state or the state which will be the actual state after pressing the Apply Settings button.

The following states are possible:

1

This entry's state is not active. This means that the text displayed to this setting does not apply.

2

This entry's state is active. This means that the text displayed to this setting does apply.

3

This entry's state is active (just like in 2) but will be set to not active after the Apply Settings button is pressed.

Orange-coloured icons are a hint to a setting modified manually by the user, not by a profile. They always show the state of the setting after the Apply Settings button has been pressed.

4

This entry's state is not active (just like in 1) but will be set to active after the Apply Settings button is pressed.

5

This Green-coloured icon indicate entry states that are just like the profile wants them to be. The checkmark in the icon shows the state of this setting as it is right now (see 1 & 2).

6

The Red-coloured icon indicate entry states that do not confirm to the selected profile and will be changed accordingly when the Apply button is pressed. The checkmark in the icon shows the state of this setting as it is right now (see 1 & 2). After pressing the Apply Settings button the state of the entry will invert and the icon color will change to green (see 5).


Profiles

If a profile is selected from the profiles menu, the current settings will be adapted to the settings the profile suggests. You'll see every setting suggested by the profile in a colour between green and red (see Signs and Symbols ). After you've pressed the Apply Settings button, the red-coloured entries are modified and will show up as green-coloured. There are four predefined menu entries but if they don't fit your needs you can define your own profiles. Just modify all the settings as you would like them to be, and open up the profile dialog. Then create a new profile which will show up later in the profiles menu.

The user-defined profiles will be stored in the registry in the key HKEY_CURRENT_USER\Software\xp-AntiSpy\Profiles, which will be erased on uninstalling the software.

The following profiles exist:

· Neutral

This profile is just as its name reads. It won't care about any setting.

· Suggested

The settings will be set to a state the author of xp-AntiSpy suggests them to be.

· System default

The settings will be reset to their initial state, as if you have a freshly installed windows operating system.

· Windows Update

The settings will be changed, so that a windows update may take place.

· User defined Profiles

This menu entry brings up a dialog where you can create your own profiles and can also export existing or import other profiles.

1. List of user defined profiles available.

2. This button deletes all user profiles.

3. This button deletes the user profile selected in 1.

4. This button exports the selected profile to your hard disk.

5. Edit control for the profile name created (the name will show up in the profiles menu).

6. Creates a user defined profile by using the currently applied settings.

7. Imports a profile exported previously.

Advice:

If you create a new user defined profile, make sure all your settings have already been applied to the system. You can see that’s the case if no icon is coloured red or orange.


Set Time Server

Windows XP offers the ability to synchronize the system clock to one of the time servers on the internet. Unfortunately you only can choose between two time servers.

The time server dialog in xp-AntiSpy gives you the enhanced ability to control the time servers used.

1. Displays the available time server actually selected. A click on [image] opens a list from which you can choose the appropriate time server.

2. By pressing this button, the time server selected will be applied to the system.

3. If you have a custom time server that is not in the list, you can enter the address of your time server in this field.

4. Pressing this button adds the address entered to the list of available time servers. To apply the address entered to the system, steps 1 & 2 have to be repeated.

5. Exits the dialog.


Connection Limit

The connection limit was introduced by Microsoft® with Service Pack 2 for Windows XP and Service Pack 1a for Windows 2003. It limits the connection requests at a time to 10. This should prevent malware from goin' bezerk on your system and spreading its seed rapidly all around the network.

Some programs, for example filesharing software, sometimes reach the limit and therefore cannot perform as required without the limit. Performance is not meant as bandwidth in this context.

You can check for yourself if your system reaches the limit. Take a look in the event viewer (hit start->run and enter Eventvwr.msc). When you click the System entry, take a look at the row named Event ID. If you see the number 4226 being displayed, then your system has reached the limit at that time. Make sure you have no malware running on your system (hint: always use an up-to-date virus scanning software and a good application firewall) and then you can increase the connection limit of the system with the following dialog:

1. Informs about the build number of the affected system file.

2. Informs you if the connection limit has already been reached.

3. Informs about how many connection requests can be made at a time.

4. After pressing this button the system connection limit will be modified to the number shown in 5.

5. Here you can choose from a predefined set of numbers or enter a number by typing it into the text field.

6. With this button you can reset the connection limit to the initial system state it had when installing Windows’ Service Pack.

7. Exits this dialog.

Advice: It is not suggested nor wise to set this limit to more than 50 connection requests.

Thanks must go to www.lvllord.de for finding out about on how to change the connection limit. I implemented his infos in my own way.